#1967 closed defect (fixed)

Concern over OBJECTS_NAME_ALIGNMENT

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

I was just browsing some code in score/object.h:

typedef union {

#if defined(RTEMS_SCORE_OBJECT_ENABLE_STRING_NAMES)

/ This is a pointer to a string name. */
const char *name_p;

#endif
/ This is the actual 32-bit "raw" integer name. */
uint32_t name_u32;

} Objects_Name;

#define OBJECTS_NAME_ALIGNMENT sizeof( uint32_t )

If the alignment requirement for the CPU is worse than 32-bits then this alignment constant is probably wrong. What worries me is when the pointer (name_p) is larger than 32-bits.

Attachments (1)

pr1967.diff (2.6 KB) - added by Joel Sherrill on Nov 29, 2011 at 8:56:28 PM.
This patch removes OBJECT_NAME_ALIGNMENT.

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Nov 26, 2011 at 5:51:39 AM by Ralf Corsepius

Cc: Ralf Corsepius added

Changed on Nov 29, 2011 at 8:56:28 PM by Joel Sherrill

Attachment: pr1967.diff added

This patch removes OBJECT_NAME_ALIGNMENT.

comment:2 Changed on Nov 29, 2011 at 8:56:38 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.